integrations.sh
← all integrations

drchrono.com

OpenAPI apis-guru customer_relation

This document is intended as a detailed reference for the precise behavior of the drchrono API. If this is your first time using the API, start with our . If you are upgrading from a previous version, take a look at the changelog section.

Authorization

Initial authorization

There are three main steps in the OAuth 2.0 authentication workflow:

  1. Redirect the provider to the authorization page.
  2. The provider authorizes your application and is redirected back to your web application.
  3. Your application exchanges the authorization_code that came with the redirect for an access_token and refresh_token.

Step 1: Redirect to drchrono

The first step is redirecting your user to drchrono, typically with a button labeled "Connect to drchrono" or "Login with drchrono". This is just a link that takes your user to the following URL:

https://drchrono.com/o/authorize/?redirect_uri=REDIRECT_URI_ENCODED&response_type=code&client_id=CLIENT_ID_ENCODED&scope=SCOPES_ENCODED
  • REDIRECT_URI_ENCODED is the URL-encoded version of the redirect URI (as registered for your application and used in later steps).
  • CLIENT_ID_ENCODED is the URL-encoded version of your application's client ID.
  • SCOPES_ENCODED is a URL-encoded version of a space-separated list of scopes, which can be found in each endpoint or omitted to default to all scopes.

The scope parameter consists of an optional, space-separated list of scopes your application is requesting. If omitted, all scopes will be requested.

Scopes are of the form BASE_SCOPE:[read|write] where BASE_SCOPE is any of user, calendar, patients, patients:summary, billing, clinical and labs. You should request only the scopes you need. For instance, an application which sends "Happy Birthday!" emails to a doctor's patients on their birthdays would use the scope parameter "patients:summary:read", while one that allows patients to schedule appointments online would need at least "patients:summary:read patients:summary:write calendar:read calendar:write clinical:read clinical:write".

Step 2: Provider authorization

After logging in (if necessary), the provider will be presented with a screen with your application's name and the list of permissions you requested (via the scope parameter).

When they click the "Authorize" button, they will be redirected to your redirect URI with a code query parameter appended, which contains an authorization code to be used in step 3. If they click the "Cancel" button, they will be redirected to your redirect URI with error=access_denied instead.

Note: This authorization code expires extremely quickly, so you must perform step 3 immediately, ideally before rendering the resulting page for the end user.

Step 3: Token exchange

The code obtained from step 2 is usable exactly once to obtain an access token and refresh token. Here is an example token exchange in Python:

import datetime, pytz, requests
if 'error' in get_params:    raise ValueError('Error authorizing application: %s' % get_params[error])
response = requests.post('https://drchrono.com/o/token/', data={    'code': get_params['code'],    'grant_type': 'authorization_code',    'redirect_uri': 'http://mytestapp.com/redirect_uri',    'client_id': 'abcdefg12345',    'client_secret': 'abcdefg12345',})response.raise_for_status()data = response.json()
# Save these in your database associated with the useraccess_token = data['access_token']refresh_token = data['refresh_token']expires_timestamp = datetime.datetime.now(pytz.utc) + datetime.timedelta(seconds=data['expires_in'])

You now have all you need to make API requests authenticated as that provider. When using this access token, you'll only be able to access the data that the user has access to and that you have been granted permissions for.

Refreshing an access token

Access tokens only last 48 hours (given in seconds in the 'expires_in' key in the token exchange step above), so they occasionally need to be refreshed. It would be inconvenient to ask the user to re-authorize every time, so instead you can use the refresh token like the original authorization to obtain a new access token. Replace the code parameter with refresh_token, change the value grant_type from authorization_code to refresh_token, and omit the redirect_uri parameter.

Example in Python:

...response = requests.post('https://drchrono.com/o/token/', data={    'refresh_token': get_refresh_token(),    'grant_type': 'refresh_token',    'client_id': 'abcdefg12345',    'client_secret': 'abcdefg12345',})...

Webhooks

In order to use drchrono API webhooks, you first need to have an API application on file (even if it is in Test Model). Each API webhook is associated with one API application, go to to set up both API applications and webhooks!

Once you registered an API application, you will see webhook section in each saved API applications. Create a webhook and register some events there and save all the changes, then you are good to go!

Webhooks setup

All fields under webhooks section are required.

Callback URL Callback URl is used to receive all hooks when subscribed events are triggered. This should be an URL under your control.

Secret token Secret token is used to verify webhooks, this is very important, please set something with high entropy. Also we will talk more about this later.

Events

Events is used to register events you want to receiver notification when they happen. Currently we support following events.

Event nameEvent description
APPOINTMENT_CREATEWe will deliver a hook any time an appointment is created
APPOINTMENT_MODIFYWe will deliver a hook any time an appointment is modified
PATIENT_CREATEWe will deliver a hook any time a patient is created
PATIENT_MODIFYWe will deliver a hook any time a patient is modified
PATIENT_PROBLEM_CREATEWe will deliver a hook any time a patient problem is created
PATIENT_PROBLEM_MODIFYWe will deliver a hook any time a patient problem is modified
PATIENT_ALLERGY_CREATEWe will deliver a hook any time a patient allergy is created
PATIENT_ALLERGY_MODIFYWe will deliver a hook any time a patient allergy is modified
PATIENT_MEDICATION_CREATEWe will deliver a hook any time a patient medication is created
PATIENT_MEDICATION_MODIFYWe will deliver a hook any time a patient medication is modified
CLINICAL_NOTE_LOCKWe will deliver a hook any time a clinical note is locked
CLINICAL_NOTE_UNLOCKWe will deliver a hook any time a clinical note is unlocked
TASK_CREATEWe will deliver a hook any time a task is created
TASK_MODIFYWe will deliver a hook any time a task is modified and any time creation, modification and deletion of task notes, associated task item
TASK_DELETEWe will deliver a hook any time a task is deleted

Webhooks verification

In order to make sure the callback URL in webhook is under your control, we added a verification step before we send any hooks out to you.

Verification can be done by clicking "Verify webhook" button in webhooks setup page. After you click the button, we will send a GET request to the callback URL, along with a parameter called msg.

Please use your webhook's secret token as hash key and SHA-256 as digest constructor, hash the msg value with . And we expect a 200 JSON response, in JSON response body, there should be a key called secret_token existing, and its value should be equal to the hashed msg. Otherwise, verification will fail.

Here is an example webhook verification in Python:

import hashlib, hmac
def webhook_verify(request):    secret_token = hmac.new(WEBHOOK_SECRET_TOKEN, request.GET['msg'], hashlib.sha256).hexdigest()    return json_response({        'secret_token': secret_token    })
Note: Verification will be needed when webhook is first created and anytime callback URl is changed.

Webhooks header and body

Header

KeyValue
X-drchrono-eventEvent that triggered this hook, could be any one event above or PING
X-drchrono-signatureSecret token associated with this webhook
X-drchrono-deliveryID of this delivery

Body

KeyValue
receiverThis will be an JSON representation of the webhook
objectThis will be an JSON representation of the object related to the triggered event, this would share same serializer as drchrono API

Webhooks ping and deliveries

Webhooks ping and deliveries will be sent as POST requests.

PING:

You can always ping your webhook to check things, by clicking the "Ping webhook" button in webhook setup page. And a hook with header X-drchrono-event: PING would be sent to the callback URL.

Deliveries:

You can check recent deliveries by clicking the "deliveries" link in webhook setup page. And you can resend a hook by clicking "redeliver" button after select a specific delivery.

Webhooks delivery mechanism

We will delivery a hook the moment a subscribed event is triggered. We will not record any response header or body you send back after you receive the hook. However we only consider the response status code. We will consider any 2xx responses as successfully delivered. Any other responses, like 302 would be considered failing. And we will try to redeliver unsuccessfully delivered hooks 3 times, first redeliver happens at 1 hour after the initial event, second receliver happens 3 hours after the initial event, and the third redeliver happens 7 hours after the initial event. After these redeliveries, if the delivery is still unsuccessful, you have to redeliver it by hand.

Webhooks security

You may want to secure your webhooks to only consider requests send out from drchrono. And this is where secret_token is needed in request header. Try to set the secret_token to something with high entropy, a good example could be taking the output of ruby -rsecurerandom -e 'puts SecureRandom.hex(20)'. After this, you might want to verify all request headers you received on your server with this token.

iframe integration

Some API apps provide additional functionality for interacting with patient data not offered by drchrono, and can benefit by being incorporated into drchrono's patient information page via iframe. We have created a simple API to make this possible.

To make an existing API application accessible via an iframe on the patient page, you need to update either "Patient iframe" or "Clinical note iframe" section in API management page, to make the iframe to appear on (either the patient page or the clinical note page), with the URL that the iframe will use for each page, and the height it should have. The application will be reviewed before it is approved to ensure that it is functional and secure.

Register a Doctor

iframe applications will appear as choices on the left-hand menu of the patient page for doctors registered with your application. To register a doctor with your application, make a POST request to the /api/iframe_integration endpoint using the access token for the corresponding doctor. This endpoint does not expect any payload.

To disable your iframe application for a doctor, make a DELETE request to the same endpoint.

Populating the iframe

There are two places where the iframe can be displayed, either within the patient detail page or the clinical note page, shown below respectively:

[Image blocked: Iframe on the patient page][Image blocked: Iframe on the clinical note page]

When requesting approval for your iframe app, you must specify a URL for one or both of these pages which will serve as the base URL for your IFrame contents. When a doctor views your iframe, the source URL will have various query parameters appended to it, for example for the patient page the src parameter of the IFrame will be:

<iframe_url>?doctor_id=<doctor_id>&patient_id=<patient_id>&practice_id=<practice_id>&iat=<iat>&jwt=<jwt>

The jwt parameter is crucial if your application transfers any sort of PHI and does not implement its own login system. It encapsulates the other parameters in a and signs them using SHA-256 HMAC with your client_secret as the key. This verifies that the iframe is being loaded within one of drchrono's pages by an authorized user. In production, you should validate the JWT using an approved library (which are listed on the ), and only use the parameters extracted from the JWT. Using Python and Django, this might look like:

import jwt
CLIENT_SECRET = <client_secret>MAX_TIME_DRIFT_SECONDS = 60
def validate_parameters(request):    token = request.GET['jwt']
    return jwt.decode(token, CLIENT_SECRET, algorithms=['HS256'], leeway=MAX_TIME_DRIFT_SECONDS)

Modern browsers' same-origin policy means that data cannot be passed between your application and drchrono's page through the iframe. Therefore, interaction must happen through the API, using information provided in JWT.

Versions and deprecation

Stability Policy

Changes to this API version will be limited to adding endpoints, or adding fields to existing endpoints, or adding optional query parameters. Any new fields which are not read-only will be optional.

Deprecation Policy

The drchrono API is versioned. Versions can be in the following states:

  • Active: This is our latest and greatest version of the API. It is actively supported by our API team and is improved upon with new features, bug fixes and optimizations that do not break backwards compatibility.

  • Deprecated: A deprecated API version is considered second best--having been surpassed by our active API version. An API version remains in this state for one year, after which time it falls to the not supported state. A deprecated API version is passively supported; while it won't be removed until becoming unsupported, it may not receive new features but will likely be subject to security updates and performance improvements.

  • Unsupported: An API version in the not supported state may be deactivated at any time. An application using an unsupported API version should migrate to an active API version.

Version Map

Version NamePrevious NameStart DateDeprecation Date
v2v2015_0808/2015TBA
v3v2016_0606/2016
v4N/A09/2018

If you are looking for documentation for an older version

  • (old V4 documentation)

Changelog

Here's changelog for different versions

Homepage
https://api.apis.guru/v2/specs/drchrono.com/v4 (Hunt Valley).json
Provider
drchrono.com
OpenAPI version
3.0.0
Spec (JSON)
https://api.apis.guru/v2/specs/drchrono.com/v4 (Hunt Valley)/openapi.json
Spec (YAML)
https://api.apis.guru/v2/specs/drchrono.com/v4 (Hunt Valley)/openapi.yaml

Tools (265)

Extracted live via the executor SDK.

  • administrative.doctorsList

    Retrieve or search doctors within practice group

  • administrative.doctorsRead

    Retrieve an existing dcotor

  • administrative.userGroupsList

    Retrieve or search user groups

  • administrative.userGroupsRead

    Retrieve an existing user group

  • administrative.usersList

    Retrieve or search users, /api/users/current can be used to identify logged in user, it will redirect to /api/users/{current_user_id}

  • administrative.usersRead

    Retrieve an existing user, /api/users/current can be used to identify logged in user, it will redirect to /api/users/{current_user_id}

  • billing.billingProfilesList

    Retrieve or search billing profiles

  • billing.billingProfilesRead

    Retrieve an existing billing profiles

  • billing.commLogsCreate

    Create communication (phone call) logs

  • billing.commLogsList

    Retrieve or search communicatioin (phone call) logs

  • billing.commLogsPartialUpdate

    Update an existing communication (phone call) logs

  • billing.commLogsRead

    Retrieve an existing communication (phone call) logs

  • billing.commLogsUpdate

    Update an existing communication (phone call) logs

  • billing.customInsurancePlanNamesList

    Retrieve or search custom insurance plan names

  • billing.customInsurancePlanNamesRead

    Retrieve an existing custom insurance plan name

  • billing.eligibilityChecksList

    Retrieve or search past eligibility checks for patient

  • billing.eligibilityChecksRead

    Retrieve an existing past eligibility check

  • billing.lineItemsCreate

    Create billing line item for appointments

  • billing.lineItemsDelete

    DELETE /api/line_items/{id}

  • billing.lineItemsList

    Retrieve or search billing line items

  • billing.lineItemsPartialUpdate

    PATCH /api/line_items/{id}

  • billing.lineItemsRead

    Retrieve an existing billing line item

  • billing.lineItemsUpdate

    PUT /api/line_items/{id}

  • billing.patientPaymentLogList

    Retrieve or search patient payment logs

  • billing.patientPaymentLogRead

    Retrieve an existing patient payment log

  • billing.patientPaymentsCreate

    Create patient payment

  • billing.patientPaymentsList

    Retrieve or search patient payments

  • billing.patientPaymentsRead

    Retrieve an existing patient payment

  • billing.proceduresList

    GET /api/procedures

  • billing.proceduresRead

    GET /api/procedures/{id}

  • billing.transactionsList

    Retrieve or search insurance transactions associated with billing line items

  • billing.transactionsRead

    Retrieve an existing insurance transaction

  • clinical.allergiesCreate

    Create patient allergy

  • clinical.allergiesList

    Retrieve or search patient allergies

  • clinical.allergiesPartialUpdate

    Update an existing patient allergy

  • clinical.allergiesRead

    Retrieve an existing patient allergy

  • clinical.allergiesUpdate

    Update an existing patient allergy

  • clinical.amendmentsCreate

    Create patient amendments to a patient's clinical records

  • clinical.amendmentsDelete

    Delete an existing patient amendment, you can only interact with amendments created by your API application

  • clinical.amendmentsList

    Retrieve or search patient amendments. You can only interact with amendments created by your API application

  • clinical.amendmentsPartialUpdate

    Update an existing patient amendment, you can only interact with amendments created by your API application

  • clinical.amendmentsRead

    Retrieve an existing patient amendment, you can only interact with amendments created by your API application

  • clinical.amendmentsUpdate

    Update an existing patient amendment, you can only interact with amendments created by your API application

  • clinical.appointmentProfilesCreate

    Create appointment profiles for a doctor's calendar

  • clinical.appointmentProfilesDelete

    Delete an existing appointment profile

  • clinical.appointmentProfilesList

    Retrieve or search appointment profiles for a doctor's calendar

  • clinical.appointmentProfilesPartialUpdate

    Update an existing appointment profile

  • clinical.appointmentProfilesRead

    Retrieve an existing appointment profile

  • clinical.appointmentProfilesUpdate

    Update an existing appointment profile

  • clinical.appointmentsCreate

    Create a new appointment or break on doctor's calendar

  • clinical.appointmentsDelete

    Delete an existing appointment or break

  • clinical.appointmentsList

    Retrieve or search appointment or breaks. Note: Either since, date or date_range parameter must be specified.

  • clinical.appointmentsPartialUpdate

    Update an existing appointment or break

  • clinical.appointmentsRead

    Retrieve an existing appointment or break

  • clinical.appointmentsUpdate

    Update an existing appointment or break

  • clinical.appointmentTemplatesCreate

    Create appointment templates for a doctor's calendar

  • clinical.appointmentTemplatesDelete

    Delete an existing appointment template

  • clinical.appointmentTemplatesList

    Retrieve or search appointment templates for a doctor's calendar

  • clinical.appointmentTemplatesPartialUpdate

    Update an existing appointment template

  • clinical.appointmentTemplatesRead

    Retrieve an existing appointment template

  • clinical.appointmentTemplatesUpdate

    Update an existing appointment template

  • clinical.carePlansList

    Retrieve or search care plans

  • clinical.carePlansRead

    Retrieve an existing care plan

  • clinical.careTeamMembersList

    GET /api/care_team_members

  • clinical.careTeamMembersRead

    GET /api/care_team_members/{id}

  • clinical.claimBillingNotesCreate

    Create a new billing note

  • clinical.claimBillingNotesList

    Retrieve or search billing notes

  • clinical.claimBillingNotesRead

    Retrieve an existing billing note

  • clinical.clinicalNoteFieldTypesList

    Retrieve or search clinical note field types

  • clinical.clinicalNoteFieldTypesRead

    Retrieve an existing clinial note field type

  • clinical.clinicalNoteFieldValuesCreate

    Create clinical note field value

  • clinical.clinicalNoteFieldValuesList

    Retrieve or search clinical note field values

  • clinical.clinicalNoteFieldValuesPartialUpdate

    Update an existing clinical note field value

  • clinical.clinicalNoteFieldValuesRead

    Retrieve an existing clinical note field value

  • clinical.clinicalNoteFieldValuesUpdate

    Update an existing clinical note field value

  • clinical.clinicalNotesList

    GET /api/clinical_notes

  • clinical.clinicalNotesRead

    GET /api/clinical_notes/{id}

  • clinical.clinicalNoteTemplatesList

    Retrieve or search clinical note templates

  • clinical.clinicalNoteTemplatesRead

    Retrieve an existing clinical note tempalte

  • clinical.consentFormsApplyToAppointment

    Assign (apply) a consent form to appointment

  • clinical.consentFormsCreate

    Create a patient consent form

  • clinical.consentFormsList

    Retrieve or search patient consent forms

  • clinical.consentFormsPartialUpdate

    Update an existing patient consent form

  • clinical.consentFormsRead

    Retrieve an existing patient consent form

  • clinical.consentFormsUnapplyFromAppointment

    Unassign (unapply) a consent form from appointment

  • clinical.consentFormsUpdate

    Update an existing patient consent form

  • clinical.customAppointmentFieldsCreate

    Create custom appointment fields

  • clinical.customAppointmentFieldsList

    Retrieve or search custom appointment fields

  • clinical.customAppointmentFieldsPartialUpdate

    Update an existing custom appointment field

  • clinical.customAppointmentFieldsRead

    Retrieve an existing custom appointment field

  • clinical.customAppointmentFieldsUpdate

    Update an existing custom appointment field

  • clinical.customDemographicsCreate

    Create custom demographics fields

  • clinical.customDemographicsList

    Retrieve or search custom demographics fields

  • clinical.customDemographicsPartialUpdate

    Update an existing custom demographics field

  • clinical.customDemographicsRead

    Retrieve an existing custom demographics field

  • clinical.customDemographicsUpdate

    Update an existing custom demographics field

  • clinical.customVitalsList

    Retrieve or search custom vital types

  • clinical.customVitalsRead

    Retrieve an existing custom vital type

  • clinical.documentsCreate

    Create documents

  • clinical.documentsDelete

    Delete an existing appointment template

  • clinical.documentsList

    Retrieve or search documents

  • clinical.documentsPartialUpdate

    Update an existing appointment template

  • clinical.documentsRead

    Retrieve an existing appointment template

  • clinical.documentsUpdate

    Update an existing appointment template

  • clinical.eobsCreate

    Create EOB object

  • clinical.eobsList

    Retrieve or search EOB objects

  • clinical.eobsRead

    Retrieve an existing EOB object

  • clinical.feeSchedulesList

    GET /api/fee_schedules

  • clinical.feeSchedulesRead

    GET /api/fee_schedules/{id}

  • clinical.implantableDevicesList

    Retrieve or search implantable devices

  • clinical.implantableDevicesRead

    Retrieve an existing implantable device

  • clinical.insurancesList

    GET /api/insurances

  • clinical.insurancesRead

    GET /api/insurances/{id}

  • clinical.labDocumentsCreate

    Create lab order documents. An example lab workflow is as following:

    • When you get orders, submit them via /api/lab_orders, such that doctors can see them in drchrono.

    • When results come in, submit the result document PDF via /api/lab_documents and submit the results data via /api/lab_results

    • Update /api/lab_orders status

  • clinical.labDocumentsDelete

    Delete an existing lab order document

  • clinical.labDocumentsList

    Retrieve or search lab order documents

  • clinical.labDocumentsPartialUpdate

    Update an existing lab order document

  • clinical.labDocumentsRead

    Retrieve an existing lab order document

  • clinical.labDocumentsUpdate

    Update an existing lab order document

  • clinical.labOrdersCreate

    Create lab orders. An example lab workflow is as following:

    • When you get orders, submit them via /api/lab_orders, such that doctors can see them in drchrono.

    • When results come in, submit the result document PDF via /api/lab_documents and submit the results data via /api/lab_results

    • Update /api/lab_orders status

  • clinical.labOrdersDelete

    Delete an existing lab order

  • clinical.labOrdersList

    Retrieve or search lab orders

  • clinical.labOrdersPartialUpdate

    Update an existing lab order

  • clinical.labOrdersRead

    Retrieve an existing lab order

  • clinical.labOrdersSummaryList

    GET /api/lab_orders_summary

  • clinical.labOrdersSummaryRead

    GET /api/lab_orders_summary/{id}

  • clinical.labOrdersUpdate

    Update an existing lab order

  • clinical.labResultsCreate

    Create lab results. An example lab workflow is as following:

    • When you get orders, submit them via /api/lab_orders, such that doctors can see them in drchrono.

    • When results come in, submit the result document PDF via /api/lab_documents and submit the results data via /api/lab_results

    • Update /api/lab_orders status

  • clinical.labResultsDelete

    Delete an existing lab result

  • clinical.labResultsList

    Retrieve or search lab results

  • clinical.labResultsPartialUpdate

    Update an existing lab result

  • clinical.labResultsRead

    Retrieve an existing lab result

  • clinical.labResultsUpdate

    Update an existing lab result

  • clinical.labTestsCreate

    Create lab tests. An example lab workflow is as following:

    • When you get orders, submit them via /api/lab_orders, such that doctors can see them in drchrono.

    • When results come in, submit the result document PDF via /api/lab_documents and submit the results data via /api/lab_results

    • Update /api/lab_orders status

  • clinical.labTestsDelete

    Delete an existing lab test

  • clinical.labTestsList

    Retrieve or search lab tests

  • clinical.labTestsPartialUpdate

    Update an existing lab test

  • clinical.labTestsRead

    Retrieve an existing lab test

  • clinical.labTestsUpdate

    Update an existing lab test

  • clinical.medicationsAppendToPharmacyNote

    Append a message to the "pharmacy_note" section of the prescription, in a new paragraph

  • clinical.medicationsCreate

    Create patient medications

  • clinical.medicationsList

    Retrieve or search patient medications

  • clinical.medicationsPartialUpdate

    Update an existing patient medications

  • clinical.medicationsRead

    Retrieve an existing patient medications

  • clinical.medicationsUpdate

    Update an existing patient medications

  • clinical.patientCommunicationsCreate

    Create patient communication for CQM

  • clinical.patientCommunicationsList

    Retrieve or search patient communications for CQM

  • clinical.patientCommunicationsPartialUpdate

    Update an existing patient communication for CQM

  • clinical.patientCommunicationsRead

    Retrieve an existing patient communication for CQM

  • clinical.patientCommunicationsUpdate

    Update an existing patient communication for CQM

  • clinical.patientFlagTypesCreate

    Create patient flag types

  • clinical.patientFlagTypesList

    Retrieve or search patient flag types

  • clinical.patientFlagTypesPartialUpdate

    Update an existing patient flag type

  • clinical.patientFlagTypesRead

    Retrieve an existing patient flag type

  • clinical.patientFlagTypesUpdate

    Update an existing patient flag type

  • clinical.patientInterventionsCreate

    Create patient intervention for CQM

  • clinical.patientInterventionsList

    Retrieve or search patient interventions for CQM

  • clinical.patientInterventionsPartialUpdate

    Update an existing patient intervention for CQM

  • clinical.patientInterventionsRead

    Retrieve an existing patient intervention for CQM

  • clinical.patientInterventionsUpdate

    Update an existing patient intervention for CQM

  • clinical.patientLabResultsCreate

    POST /api/patient_lab_results

  • clinical.patientLabResultsDelete

    DELETE /api/patient_lab_results/{id}

  • clinical.patientLabResultsList

    GET /api/patient_lab_results

  • clinical.patientLabResultsPartialUpdate

    PATCH /api/patient_lab_results/{id}

  • clinical.patientLabResultsRead

    GET /api/patient_lab_results/{id}

  • clinical.patientLabResultsUpdate

    PUT /api/patient_lab_results/{id}

  • clinical.patientMessagesCreate

    POST /api/patient_messages

  • clinical.patientMessagesList

    GET /api/patient_messages

  • clinical.patientMessagesPartialUpdate

    PATCH /api/patient_messages/{id}

  • clinical.patientMessagesRead

    GET /api/patient_messages/{id}

  • clinical.patientMessagesUpdate

    PUT /api/patient_messages/{id}

  • clinical.patientPhysicalExamsCreate

    Create patient physical exam for CQM

  • clinical.patientPhysicalExamsList

    Retrieve or search patient physical exams for CQM

  • clinical.patientPhysicalExamsPartialUpdate

    Update an existing patient physical exam for CQM

  • clinical.patientPhysicalExamsRead

    Retrieve an existing patient physical exam for CQM

  • clinical.patientPhysicalExamsUpdate

    Update an existing patient physical exam for CQM

  • clinical.patientRiskAssessmentsCreate

    POST /api/patient_risk_assessments

  • clinical.patientRiskAssessmentsList

    GET /api/patient_risk_assessments

  • clinical.patientRiskAssessmentsPartialUpdate

    PATCH /api/patient_risk_assessments/{id}

  • clinical.patientRiskAssessmentsRead

    GET /api/patient_risk_assessments/{id}

  • clinical.patientRiskAssessmentsUpdate

    PUT /api/patient_risk_assessments/{id}

  • clinical.patientsCcda

    Retrieve patient CCDA

  • clinical.patientsCreate

    Create patient

  • clinical.patientsDelete

    Delete an existing patient

  • clinical.patientsList

    Retrieve or search patients

  • clinical.patientsOnpatientAccessCreate

    Send new onpatient invite to patient

  • clinical.patientsOnpatientAccessDelete

    Revoke sent onpatient invites

  • clinical.patientsOnpatientAccessRead

    Retrieve or search existing onpatient access invites

  • clinical.patientsPartialUpdate

    Update an existing patient

  • clinical.patientsQrda1

    Retrieve patient QRDA1

  • clinical.patientsRead

    Retrieve an existing patient

  • clinical.patientsSummaryCreate

    POST /api/patients_summary

  • clinical.patientsSummaryDelete

    DELETE /api/patients_summary/{id}

  • clinical.patientsSummaryList

    GET /api/patients_summary

  • clinical.patientsSummaryPartialUpdate

    PATCH /api/patients_summary/{id}

  • clinical.patientsSummaryRead

    GET /api/patients_summary/{id}

  • clinical.patientsSummaryUpdate

    PUT /api/patients_summary/{id}

  • clinical.patientsUpdate

    Update an existing patient

  • clinical.patientVaccineRecordsCreate

    Create patient vaccine records

  • clinical.patientVaccineRecordsList

    Retrieve or search patient vaccine records

  • clinical.patientVaccineRecordsPartialUpdate

    Update an existing patient vaccine records

  • clinical.patientVaccineRecordsRead

    Retrieve an existing patient vaccine records

  • clinical.patientVaccineRecordsUpdate

    Update an existing patient vaccine records

  • clinical.prescriptionMessagesList

    Retrieve or search prescription messages

  • clinical.prescriptionMessagesRead

    Retrieve an existing prescription message

  • clinical.problemsCreate

    Create patient problems

  • clinical.problemsList

    Retrieve or search patient problems

  • clinical.problemsPartialUpdate

    Update an existing patient problems

  • clinical.problemsRead

    Retrieve an existing patient problems

  • clinical.problemsUpdate

    Update an existing patient problems

  • clinical.reminderProfilesCreate

    Create reminder profile

  • clinical.reminderProfilesDelete

    Delete an existing reminder profile

  • clinical.reminderProfilesList

    Retrieve or search reminder profiles

  • clinical.reminderProfilesPartialUpdate

    Update an existing reminder profile

  • clinical.reminderProfilesRead

    Retrieve an existing reminder profile

  • clinical.reminderProfilesUpdate

    Update an existing reminder profile

  • clinical.sublabsCreate

    Create sub-vendors

    • When you get orders, submit them via /api/lab_orders, such that doctors can see them in drchrono.

    • When results come in, submit the result document PDF via /api/lab_documents and submit the results data via /api/lab_results

    • Update /api/lab_orders status

  • clinical.sublabsDelete

    Delete an existing sub vendor

  • clinical.sublabsList

    Retrieve or search sub vendors

  • clinical.sublabsPartialUpdate

    Update an existing sub vendor

  • clinical.sublabsRead

    Retrieve an existing sub vendor

  • clinical.sublabsUpdate

    Update an existing sub vendor

  • practiceManagement.inventoryCategoriesList

    Retrieve or search inventory categories

  • practiceManagement.inventoryCategoriesRead

    Retrieve an existing inventory category

  • practiceManagement.inventoryVaccinesCreate

    Create vaccine inventory

  • practiceManagement.inventoryVaccinesList

    Retrieve or search vaccine inventories

  • practiceManagement.inventoryVaccinesRead

    Retrieve an existing vaccine inventory

  • practiceManagement.messagesCreate

    Create messages in doctor's message center

  • practiceManagement.messagesDelete

    Delete an existing message in doctor's message center

  • practiceManagement.messagesList

    Retrieve or search messages in doctor's message center

  • practiceManagement.messagesPartialUpdate

    Update an existing message in doctor's message center

  • practiceManagement.messagesRead

    Retrieve an existing message in doctor's message center

  • practiceManagement.messagesUpdate

    Update an existing message in doctor's message center

  • practiceManagement.officesAddExamRoom

    Add an exam room to the office

  • practiceManagement.officesList

    Retrieve or search offices

  • practiceManagement.officesPartialUpdate

    Update an existing office

  • practiceManagement.officesRead

    Retrieve an existing office

  • practiceManagement.officesUpdate

    Update an existing office

  • practiceManagement.taskCategoriesCreate

    Create a task category

  • practiceManagement.taskCategoriesList

    Retrieve or search task categories

  • practiceManagement.taskCategoriesPartialUpdate

    Update an existing task category

  • practiceManagement.taskCategoriesRead

    Retrieve an existing task category

  • practiceManagement.taskCategoriesUpdate

    Update an existing task category

  • practiceManagement.taskNotesCreate

    Create a task note

  • practiceManagement.taskNotesList

    Retrieve or search task notes

  • practiceManagement.taskNotesPartialUpdate

    Update an existing task note

  • practiceManagement.taskNotesRead

    Retrieve an existing task note

  • practiceManagement.taskNotesUpdate

    Update an existing task note

  • practiceManagement.tasksCreate

    Create a task

  • practiceManagement.tasksList

    Retrieve or search tasks

  • practiceManagement.tasksPartialUpdate

    Update an existing task

  • practiceManagement.tasksRead

    Retrieve an existing task

  • practiceManagement.taskStatusesCreate

    Create a task status

  • practiceManagement.taskStatusesList

    Retrieve or search task statuses

  • practiceManagement.taskStatusesPartialUpdate

    Update an existing task status

  • practiceManagement.taskStatusesRead

    Retrieve an existing task status

  • practiceManagement.taskStatusesUpdate

    Update an existing task status

  • practiceManagement.tasksUpdate

    Update an existing task

  • practiceManagement.taskTemplatesCreate

    Create a task template

  • practiceManagement.taskTemplatesList

    Retrieve or search task templates

  • practiceManagement.taskTemplatesPartialUpdate

    Update an existing task template

  • practiceManagement.taskTemplatesRead

    Retrieve an existing task template

  • practiceManagement.taskTemplatesUpdate

    Update an existing task template

  • openapi.previewSpec

    Preview an OpenAPI document before adding it as a source

  • openapi.addSource

    Add an OpenAPI source and register its operations as tools